image:
  repository: registry.gitlab.com/sia-insa-lyon/bdeinsalyon/votecdp:deploy-k8s
  pullPolicy: Always

# Put all your environment variables here as long as they're not numbers or booleans
env:
  server_email: "noreply@bde-insa-lyon.fr"
  django_env: "prod"
  mailgun_domain: "mg.bde-insa-lyon.fr"
  default_from_email: "Laveries BdE INSA <votecdp@mg.bde-insa-lyon.fr>"
  send_email: "0"
  opening: "2 15 11:00:00 2019"
  closing: "2 20 11:00:00 2019"

resources:
  django:
    requests:
      cpu: 300m
      memory: 500Mi
    limits:
      cpu: 500m
      memory: 1Gi
  nginx:
    requests:
      cpu: 300m
      memory: 200Mi
    limits:
      cpu: 500m
      memory: 500Mi
ingress:
  enabled: true
  host: votecdp.172.17.0.1.nip.io
  scheme: http

service:
  type: NodePort

secret:
  djangoSecretKey: "v3rysecr3t"
  mailjetApiKey: "v3rysecr3t"
  mailjetSecretKey: "slfkjdlkfj"

externalDatabase:
  enabled: false
  host:
  database:
  port:
  username:
  password:

postgresql:
  enabled: true
  postgresqlPassword: password
  postgresqlDatabase: django
  persistence:
    accessModes: [ReadWriteOnce]
    size: 1Gi
  volumePermissions:
    enabled: true

backupPostgresql:
  enabled: false
  schedule: 0 1 * * *
  FILE_NAME: "votecdp"
  PGHOST: "postgres"
  secretEnableDatabase: true
  nameSecretDatabase: "votecdp-db-secret"
  nameKeyDatabase: "PGDATABASE"
  secretEnableUser: true
  nameSecretUser: "votecdp-db-secret"
  nameKeyUser: "PGUSER"
  secretEnablePassword: true
  nameSecretPassword: "votecdp-db-secret"
  nameKeyPassword: "PGPASSWORD"
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/postgres-backup-container
    tag: latest
